# Sources from github:
# git://github.com/dieterv/elib.intl.git

%define _requires_exceptions	setuptools

%define oname	elib.intl

%define gdate	20110711
%define rel	1

Name:		python-%{oname}
Version:	0.0.3
Release:	%mkrel -c git%{gdate} %{rel}
Summary:	Enhanced internationalization (I18N) for Python
License:	LGPLv3+
Group:		Development/Python
Url:		https://github.com/dieterv/elib.intl
Source0:	%{oname}-%{gdate}.tar.xz
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
Provides:	%{oname} = %{version}-%{release}

%description
The elib.intl module provides enhanced internationalization (I18N) services
for your Python modules and applications.

elib.intl wraps Python's :func:`gettext` functionality.

%prep
%setup -qn %{oname}-%{gdate}

%build
python setup.py build

pushd doc/reference
        make html
	rm -rf build/html/.buildinfo
popd

%install
python setup.py install \
	--root %{buildroot}

%files
%doc doc/reference/build/html
%{python_sitelib}/%{oname}*
%{python_sitelib}/elib/


%changelog
* Mon Sep 02 2013 pinoc <vogtpet at gmail.com> 0.0.3-0.git20110711.1pclos2013
-  imported package python-elib.intl

